# TMR_SR_ProtocolConfiguration Struct Reference

`#include <serial_reader_imp.h>`

List of all members.

## Public Attributes

TMR_TagProtocol | protocol
TMR_SR_Gen2Configuration | gen2
TMR_SR_Iso180006bConfiguration | iso180006b

## Detailed Description

This type selects the protocol configuration option for TMR_SR_cmdSetProtocolConfiguration() and TMR_SR_cmdGetProtocolConfiguration(). Each value is associated with a particular data type for the setting.

## Member Data Documentation

TMR_SR_Gen2Configuration TMR_SR_ProtocolConfiguration::gen2

The configuration key for a Gen2 option.

TMR_SR_Iso180006bConfiguration TMR_SR_ProtocolConfiguration::iso180006b

The configuration key for an ISO18000-6B option.

TMR_TagProtocol TMR_SR_ProtocolConfiguration::protocol

The protocol to configure. Determines which union member is valid.

The documentation for this struct was generated from the following file:

- serial_reader_imp.h